Bug 648780 - JON241: Upgrade JON2.3.1 to 2.4 lost 'SNMP Server Configuration Properties' data
JON241: Upgrade JON2.3.1 to 2.4 lost 'SNMP Server Configuration Properties' data
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
3.0.0
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: jon241-bugs
  Show dependency treegraph
 
Reported: 2010-11-02 01:06 EDT by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 618214
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (70.05 KB, image/png)
2010-12-03 08:08 EST, Sunil Kondkar
no flags Details

  None (edit)
Description Charles Crouch 2010-11-02 01:06:15 EDT
+++ This bug was initially created as a clone of Bug #618214 +++

Created attachment 434408 [details]
server log

Description of problem:
Upgrade JON2.3.1 to 2.4 lost 'SNMP Server Configuration Properties' data ('SNMP protcol version' & 'Trap OID').

Version-Release number of selected component (if applicable):
version: 2.4.0.GA_QA (build #78) build number: 10888:29722f6

How reproducible:
Always

Steps to Reproduce:
1) Install JON 2.3.1 and agent
2) Administration > System Configuration > Settings 
3) Set 'SNMP Server Configuration Properties'
	SNMP Protocol Version: 2c
	Trap OID: 1.3.6.1.4.1.8072.4.0.1
	Community: public
4) Down JON server 2.3.1 (Keep agent running)
5) Upgrade JON 2.3.1 to 2.4 (build #78)
6) Log-in to upgraded JON 2.4 (build #78)
7) Goto Server Settings  >  Installed Plugins  >Server Plugins Configuration > Alert:SNMP
8) Refer Plugin configuration
  
Actual results:
Upgrade JON2.3.1 to 2.4 lost 'SNMP Server Configuration Properties' data ('SNMP protcol version' & 'Trap OID').

Expected results:
Upgrade JON2.3.1 to 2.4 should not lost 'SNMP Server Configuration Properties' data.

Additional info:
Please refer attached server log.

--- Additional comment from hrupp@redhat.com on 2010-07-26 10:21:34 EDT ---

Manual upgrade steps for RHQ 3 are documented in https://bugzilla.redhat.com/show_bug.cgi?id=618214

We will re-visit this in master.

--- Additional comment from hrupp@redhat.com on 2010-08-05 07:06:44 EDT ---

*argh* Comment 1 has the wrong link. This one is the right one: https://bugzilla.redhat.com/show_bug.cgi?id=618265

--- Additional comment from hrupp@redhat.com on 2010-08-06 12:57:03 EDT ---

Code added in master at version 5b29f99

--- Additional comment from rtimaniy@redhat.com on 2010-08-12 09:31:18 EDT ---

As discuss with Heiko, the bug will be tested on JON 2.4.1 build, its known issue of JON 2.4
Comment 1 Charles Crouch 2010-11-02 01:06:51 EDT
We should see if we can port the fix from master to the release3 branch
Comment 2 Lukas Krejci 2010-11-23 13:18:56 EST
The original bug failed QA so this'll have to wait a bit more...
Comment 3 Lukas Krejci 2010-12-01 09:47:20 EST
Note: make sure to test this with both postgres and oracle databases.

commit db5e575b035e1416d88a0c27169da46bf0cbee65
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Wed Dec 1 15:06:31 2010 +0100

    BZ 618214 - Create a temporary entry in RHQ_PLUGIN table for the snmp-alert plugin in case we need to add something to its configuration during db-upgrade.
                Once the server starts up, the temporary entry will get overwritten by the "real stuff".
Comment 4 Sunil Kondkar 2010-12-03 08:07:20 EST
Verified on jon241 build#34

After upgrade from Jon2.3.1 to Jon2.4.1, the SNMP server configuration properties (SNMP Protocol Version: 2c    Trap OID: 1.3.6.1.4.1.8072.4.0.1  Community: public)
are displayed at Administration > System Configuration > Settings->Server Plugins Configuration Properties->Configure Server Plugins->Alert:SNMP

This is verified on both postgres and oracle databases. Please refer the attached screenshot.
Comment 5 Sunil Kondkar 2010-12-03 08:08:47 EST
Created attachment 464571 [details]
Screenshot
Comment 6 Corey Welton 2011-05-23 21:14:04 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:14:07 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:14:08 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.